<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
//=================================================================
// Inline- Screens
//=================================================================
function inlinescreen_specialchars($text)
{
	$text = stripslashes($text);
	$text = str_replace(
		array('€','ü','Ü','ö','Ö','ä','Ä','»','«','ß','©','®','™','„','“'), 
		array('&euro;','&uuml;', '&Uuml;','&ouml;','&Ouml;','&auml;','&Auml;','&raquo;', '&laquo;', '&szlig;','&copy;','&reg;','&trade;','&bdquo;','&ldquo;'), 
		$text);
	return $text;
}

function inlinescreens($array, $text)
{
    $screens = unserialize($array);
    if ($screens) 
	{
		while (list($key, $val) = each($screens)) 
		{
			$val['text'] = $cont = str_replace("\r\n", "<br />", $val['text']);
			$val['text'] = preg_replace("#\[b\](.*?)\[/b\]#si", "<span style=\"font-weight:bold\">\\1</span>", $val['text']);
			$val['text'] = preg_replace("#\[s\](.*?)\[/s\]#si", "<span style=\"text-decoration:line-through\">\\1</span>", $val['text']);
			$val['text'] = preg_replace("#\[u\](.*?)\[/u\]#si", "<span style=\"text-decoration:underline\">\\1</span>", $val['text']);
			$val['text'] = preg_replace("#\[i\](.*?)\[/i\]#si", "<span style=\"font-style:italic\">\\1</span>", $val['text']);
			#$val['text'] = preg_replace("#\"(.*?)\"#si", "&bdquo;\\1&rdquo;", $val['text']); 
			
			$cont = $GLOBALS['tmpl']->fetch($GLOBALS['config']['source'] . '/gallery/inlineshot_page.tpl');
			$cont = str_replace("%%src%%", (file_exists(BASE_DIR . '/cache/' . $val['id'] . '.jpg') ? 'cache/' . $val['id'] . '.jpg' : 'system/thumb.php?type=inline&amp;img_id=' . $val['id']),   $cont);
			$cont = str_replace("%%title%%", koobispecialchars($val['titel']), $cont);
			$cont = str_replace("%%text%%", inlinescreen_specialchars($val['text']), $cont);
			$cont = str_replace("%%id%%", $val['id'], $cont);
            $text = str_replace("[SCREEN:$key]", $cont, $text);
        } 
    } 
	return $text;
}
?>